Package ru.bitel.bgbilling.modules.mobile.server.event

# Class MobileRequestEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.mobile.server.event.MobileRequestEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class MobileRequestEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
    implements ErrorReturnableEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MobileRequestEvent​(int mid, Contract contract, java.lang.String action, java.util.Map<java.lang.String,​java.lang.String[]> requestMap, java.util.Map<java.lang.String,​java.lang.Object> map)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getActionMap()` |
  `Contract` | `getContract()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getDataMap()` |
  `java.lang.String` | `getError()` |
  `int` | `getRequestIntParam​(java.lang.String paramName, int defaultValue)` | Получить int параметр запроса
  `long` | `getRequestLongParam​(java.lang.String paramName, long defaultValue)` | Получить long параметр запроса
  `java.util.Map<java.lang.String,​java.lang.String[]>` | `getRequestMap()` |
  `java.lang.String` | `getRequestParam​(java.lang.String paramName)` | Получить параметр запроса
  `boolean` | `isProcessed()` | Если событие было обработано, то стандартное поведение не выполняется
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setActionMap​(java.util.Map<java.lang.String,​java.lang.Object> actionMap)` |
  `void` | `setContract​(Contract contract)` |
  `void` | `setError​(java.lang.String error)` | Если не null, то приложению вернется данное сообщение об ошибке.
  `void` | `setProcessed​(boolean processed)` | Если событие было обработано, то стандартное поведение не выполняется.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileRequestEvent

    public MobileRequestEvent​(int mid, Contract contract, java.lang.String action, java.util.Map<java.lang.String,​java.lang.String[]> requestMap, java.util.Map<java.lang.String,​java.lang.Object> map)

- ## Method Details

  - ### getAction

    public java.lang.String getAction()

  - ### setAction

    public void setAction​(java.lang.String action)

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract​(Contract contract)

  - ### getDataMap

    public java.util.Map<java.lang.String,​java.lang.Object> getDataMap()

  - ### getActionMap

    public java.util.Map<java.lang.String,​java.lang.Object> getActionMap()

  - ### setActionMap

    public void setActionMap​(java.util.Map<java.lang.String,​java.lang.Object> actionMap)

  - ### getError

    public java.lang.String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError​(java.lang.String error)
    Если не null, то приложению вернется данное сообщение об ошибке. Все что было в actionMap, будет перетерто
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### isProcessed

    public boolean isProcessed()
    Если событие было обработано, то стандартное поведение не выполняется

  - ### setProcessed

    public void setProcessed​(boolean processed)
    Если событие было обработано, то стандартное поведение не выполняется. Map будет таковым, каковым его вернуло событие.

  - ### getRequestMap

    public java.util.Map<java.lang.String,​java.lang.String[]> getRequestMap()

  - ### getRequestParam

    public java.lang.String getRequestParam​(java.lang.String paramName)
    Получить параметр запроса

  - ### getRequestIntParam

    public int getRequestIntParam​(java.lang.String paramName, int defaultValue)
    Получить int параметр запроса

  - ### getRequestLongParam

    public long getRequestLongParam​(java.lang.String paramName, long defaultValue)
    Получить long параметр запроса